flink-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alexander Alexandrov <alexander.s.alexand...@gmail.com>
Subject Upgrading to Scala 2.11.x?
Date Thu, 15 Jan 2015 16:51:31 GMT
Currently, Flink uses Scala 2.10.4 and relies on the macro paradise
compiler plugin to get the  quasi-quotes functionality.

This makes the code incompatible with third-party add-ons that use macros
written against a newer version of Scala.

Scala 2.11 has been around for almost a year already. It comes with a bit
more advanced reflection API than 2.10 and quasi-quotes bundled in. I think
that by now there should be a 2.11 version for most of the other
Scala-based dependencies used in Flink.

Are there any plans in the roadmap to upgrade this to 2.11 in one of the
next releases? If not, what is the main issue blocking this change?

I suspect that this might be a question which has been already discussed
here, but I failed to find relevant threads in the mailing list.

Regards,
Alexander

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message